package org.whispersystems.signalservice.api.messages;


import org.whispersystems.signalservice.api.push.PNI;

/**
 * When someone sends a message to your PNI, you need to attach one of these PNI signature messages,
 * proving that you own the PNI identity.
 *
 * The signature is generated by signing your ACI public key with your PNI identity.
 */
public class SignalServicePniSignatureMessage {

  private final PNI    pni;
  private final byte[] signature;

  public SignalServicePniSignatureMessage(PNI pni, byte[] signature) {
    this.pni       = pni;
    this.signature = signature;
  }

  public PNI getPni() {
    return pni;
  }

  public byte[] getSignature() {
    return signature;
  }
}
